Partial update indexed asset
This method updates one or more fields of the metadata of an indexed asset. Also, can delete a field by setting it to null.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
index-id
The unique identifier of the index to which the indexed asset has been uploaded.
indexed-asset-id
The unique identifier of the indexed asset to update.
Request
Request to update the metadata of a video. Delete the fields with a null value.
user_metadata
Metadata that helps you categorize your assets. The object contains user-defined keys and values, where keys are strings and values are one of `string`, `integer`, `float`, or `boolean`.
**Example**:
```JSON
"user_metadata": {
"category": "recentlyAdded",
"batchNumber": 5,
"rating": 9.3,
"needsReview": true
}
```
<Note title="Note">
To store other types of data, such as objects or arrays, convert your data into string values before sending it.
</Note>
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Errors
400
Bad Request Error